﻿using Caliburn.Micro;
using System.ComponentModel.Composition;
using System.Windows;
using VisualComponents.Create3D;
using VisualComponents.UX.Shared;

namespace Plugin.ContextChange
{
    [Export(typeof(IActionItem))]
    class CustomActionItem: ActionItem
    {      
        public CustomActionItem():base("customRibbonId_ActionItem_1",
            "Custom Action Item", "", null, MenuTools.BigButtonTool, false, false)
        {
            CustomActionItemId = Id;
        }

        public override void Execute()
        {
            var context = IoC.Get<IApplicationContext>();
            VcMessageBox.Show(string.Format("Now it is in {0} .", context.Current.Id), "Testing...", MessageBoxButton.OK, MessageBoxImage.Information);
        }

        public static string CustomActionItemId { get; set; }

    }
}
